org.vishia.guiViewCfg

## Class ViewCfg

- java.lang.Object
- - org.vishia.gral.area9.GuiCfg
  - - org.vishia.guiViewCfg.ViewCfg

-     public class ViewCfg
      extends GuiCfg

  Class contains main, it is able to use for a GUI without any programming in Java.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static class` | `ViewCfg.CallingArguments` The command-line-arguments may be stored in an extra class, which can arranged in any other class too.
    `private static class` | `ViewCfg.CmdLineAndGui` Organisation class for the GUI.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private GralUserAction` | `actionKeyboard` This instance helps to create the Dialog Widget as part of the whole window.
    `(package private) ViewCfg.CallingArguments` | `callingArguments`
    `private OamRcvValue` | `oamRcvUdpValue`
    `private OamShowValues` | `oamShowValues`
    `private boolean` | `showValuesOk` Composition of a class, that reads the oam output values from the target and writes into variables, which are displayed.
    `static int` | `version` Version and history 2012-20-22 Hartmut chg now works yet.

    - ### Fields inherited from class org.vishia.gral.area9.GuiCfg

      `_gralMng, actionFile, console, gui, guiAccess, guiCfgData, guiW, mainCmd, mainTabPanel, panelBuildIfc, plugUser2Gui, user`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewCfg(ViewCfg.CallingArguments cargs, GralArea9MainCmd cmdgui)` ctor for the main class of the application.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `initMain()`
    `static void` | `main(java.lang.String[] args)` The command-line-invocation (primary command-line-call.
    `protected void` | `stepMain()`
    `(package private) void` | `stop()`

    - ### Methods inherited from class org.vishia.gral.area9.GuiCfg

      `appendTextInfoBox, execute, finishMain, get, getPluggedUser, initGuiAreas, initMenuGralDesigner, setTextInfoBox, showInfoBox, userInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final int version

      Version and history
      - 2012-20-22 Hartmut chg now works yet.
      - 2010-06-00 Hartmut created
      See Also:
        Constant Field Values

    - #### oamShowValues

          private final OamShowValues oamShowValues

    - #### showValuesOk

          private final boolean showValuesOk

      Composition of a class, that reads the oam output values from the target and writes into variables, which are displayed.

    - #### oamRcvUdpValue

          private final OamRcvValue oamRcvUdpValue

    - #### callingArguments

          final ViewCfg.CallingArguments callingArguments

    - #### actionKeyboard

          private final GralUserAction actionKeyboard

      This instance helps to create the Dialog Widget as part of the whole window. It is used only in the constructor. Therewith it may be defined stack-locally. But it is better to show and explain if it is access-able at class level.

  - ### Constructor Detail

    - #### ViewCfg

          ViewCfg(ViewCfg.CallingArguments cargs,
                  GralArea9MainCmd cmdgui)

      ctor for the main class of the application. The main class can be created in some other kinds as done in static main too. But it needs the `MainCmdWin`.
      The ctor checks whether a gUI-configuration file is given. If not then the default configuratin is used. It is especially for the Sample.
      The the GUI will be completed with the content of the GUI-configuration file.
      Parameters:
        `cargs` - The given calling arguments.
        `gui` - The GUI-organization.

  - ### Method Detail

    - #### initMain

          protected void initMain()

      Overrides:
        `initMain` in class `GuiCfg`

    - #### stepMain

          protected void stepMain()

      Overrides:
        `stepMain` in class `GuiCfg`

    - #### main

          public static void main(java.lang.String[] args)

      The command-line-invocation (primary command-line-call.
      Parameters:
        `args` - Some calling arguments are taken. This is the GUI-configuration especially.

    - #### stop

          void stop()